package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.customized.OrderCustomized;

import java.util.List;

/**
 *  牙刷定制-定制牙刷信息接口
 * @author w
 * @Date 2018-05-25
 */
public interface OrderCustomizedMapper {
    /**
     * 获取集合
     * @param  orderCustomized
     * @return List
     */
    List<OrderCustomized> getOrderCustomizedList(OrderCustomized  orderCustomized);

    /**
     * 获取集合
     * @param  orderCustomized
     * @return List
     */
    List<OrderCustomized> listOrderCustomizedPage(OrderCustomized  orderCustomized);
    /**
     * 查询单条数据
     * @param  id
     * @return  orderCustomized
     */
    OrderCustomized  getOrderCustomizedById(Integer  id);
    /**
     * 增加数据
     * @param  orderCustomized
     * @return Integer
     */
    Integer  save(OrderCustomized  orderCustomized);
    /**
     * 修改数据
     * @param  orderCustomized
     * @return Integer
     */
    Integer  update(OrderCustomized  orderCustomized);
}